<?php
/**
 * Template part for displaying a single post.
 *
 * @package Eronex
 * @since 0.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="eronex-post-info"><?php
		/**
		 * Fires to output the post categories.
		 *
		 * @since 0.0.1
		 */
        do_action( 'eronex_post_categories' );
		/**
		 * Fires to output the post title.
		 *
		 * @since 0.0.1
		 */
        do_action( 'eronex_post_title' );
		/**
		 * Fires to output the post meta.
		 *
		 * @since 0.0.1
		 */
        do_action( 'eronex_post_meta' );
    ?></div>

	<?php
	/**
	 * Fires to output the post thumbnail.
	 *
	 * @since 0.0.1
	 */
	do_action( 'eronex_post_thumbnail' );
	?>
	<?php
	/**
	 * Fires to output the post content.
	 *
	 * @since 0.0.1
	 */
	do_action( 'eronex_post_content' );
	?>
	<?php
	/**
	 * Fires to output the post tags.
	 *
	 * @since 0.0.1
	 */
	do_action( 'eronex_post_tags' );
	?>
	<?php
	/**
	 * Fires to output post pagination (next/previous).
	 *
	 * @since 0.0.1
	 */
	do_action( 'eronex_post_pagination' );
	?>
	<?php
	/**
	 * Fires to output the post comments section.
	 *
	 * @since 0.0.1
	 */
	do_action( 'eronex_post_comments' );
	?>
</article>
